/*
    Proteus RPG Engine - A flexible 3D story based RPG engine.
    Copyright (C) 2002  Sam Yatchmenoff

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __bitmap_h_
#define __bitmap_h_

// Generic Visual for all supported 2d image types (uses SDL_image)

#include <string>
#include <SDL/SDL.h>
#include "visual.h"
#include <GL/gl.h>

using namespace std;

void *rload_bitmap(const string &filename);

class Bitmap : public PRVisual {
 public:
  Bitmap(const string &filename, int x, int y);
  ~Bitmap();
  void render();
 private:
  SDL_Surface *surface;
  GLuint texture;
  int x, y, z;
};

#endif
