/*
    Proteus RPG Engine - A flexible 3D story based RPG engine.
    Copyright (C) 2002  Sam Yatchmenoff

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <SDL.h>
#include "input.h"

bool keys[I_MAXKEY];

int init_input() {
	input_flush_buffer();
}

void input_update() {
	SDL_Event event;
  
	while(SDL_PollEvent(&event)) {
		switch(event.type) {
		case SDL_KEYDOWN:
			keys[event.key.keysym.sym] = true;
			break;
		case SDL_KEYUP:
			keys[event.key.keysym.sym] = false;
			break;
		}
	}
}

bool input_get_key(int key) {
	if(key <= I_MAXKEY) {
		return keys[key];
	}
	return false;
}

void input_set_key(int key, bool state) {
	if(key <= I_MAXKEY) {
		keys[key] = state;
	}
}

void input_flush_buffer() {
  for(int i = 0; i < I_MAXKEY; i++) {
    keys[i] = false;
  }
}
