/*
    Proteus RPG Engine - A flexible 3D story based RPG engine.
    Copyright (C) 2002  Sam Yatchmenoff

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __party_h
#define __party_h

#include <vector>
#include <list>
#include "physicalobject.h"
#include "character.h"
#include "object.h"
#include "resman.h"

class Party : public PhysicalObject {
public:
  Party();
  void update(); 
  void draw_adventure();    // the party is drawn differently depending on the
  void draw_battle();       // game state 
  int load();
  int save(char *dirname);

  Character *get_character(int);
  int get_cur_scene() { return cur_scene; };
  void set_cur_scene(int which) { cur_scene = which; };
  
 	void add_obj_to_inv(Resource<Object>);
	list<Resource<Object> > &get_inv(); // should be const iterator
	vector<Resource<Character> > characters;
 private:
	int cur_scene;
	list<Resource<Object> > inv;
};

#endif
