/*
    Proteus RPG Engine - A flexible 3D story based RPG engine.
    Copyright (C) 2002  Sam Yatchmenoff

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <iostream>
#include <string>
#include <vector>
#include <map>
#include "resman.h"

using namespace std;

_resman_stuff resman_stuff;        // DAMN YOU TEMPLATES!!!!

int init_resman(void) {
	resman_stuff.ID_count = 0;
	cout << "RESMAN: Initialized\n";
	return 0;
}

ResID resman_find_id_by_filename(const string &filename) {
	map<string,ResID>::const_iterator i;
	if((i = resman_stuff.by_filename.find(filename)) != resman_stuff.by_filename.end()) {
		return i->second;
	} else {
		return 0;
	}
}

ResID resman_add_entry(const string &filename, ResCacheType cache_type) {
	ResEntry tmpentry;
	tmpentry.filename = filename;
	tmpentry.cache_type = cache_type;
	tmpentry.id = ++resman_stuff.ID_count;
	tmpentry.data = NULL;
	resman_stuff.entries.push_back(tmpentry);
#ifdef DEBUG
	cout << "RESMAN: Added entry (#" << tmpentry.id << ") for " << tmpentry.filename << "\n";
#endif
	return tmpentry.id;
}

ResID resman_register(const string &filename, ResCacheType cachetype) {
	ResID id;
	if((id = resman_find_id_by_filename(filename)) != 0) {   // file already registered
		return id;
	} else {
		return resman_add_entry(filename, cachetype);
	}
}

_resman_stuff &resman_get_stuff() {
	return resman_stuff;
}

