/*
    Proteus RPG Engine - A flexible 3D story based RPG engine.
    Copyright (C) 2002  Sam Yatchmenoff

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __struct3d_h_
#define __struct3d_h_

typedef signed short int Sint16;

struct vertex3f_t {
  float x;
  float y;
  float z;
};

struct vertex3s_t {
  Sint16 x;
  Sint16 y;
  Sint16 z;
};

struct polygon_t {
  int num_points;
  vertex3f_t *point;
};

struct plane_t {
  vertex3f_t normal;
  float d;
};

struct VERTEX {
  float location[3];
};

struct VECTOR {
  float offset[3];
};

#endif
