/*
    Proteus RPG Engine - A flexible 3D story based RPG engine.
    Copyright (C) 2002  Sam Yatchmenoff

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <windows.h>

#include <GL/gl.h>
#include <iostream>
#include <list>
#include "visual.h"
#include "video.h"

using namespace std;

list<PRVisual *> visuals;

void add_visual(PRVisual *visual) { 
  visuals.push_back(visual);
}

void render_visuals() {
  video_reset_matrices();
  list<PRVisual *>::iterator visual;
  for(visual = visuals.begin(); visual != visuals.end(); visual++) {
    (*visual)->render();
  }
  visuals.clear();
}
